:root {
    --primary: #333;
    --secondary: #333;
    --errorColor: red;
    --stepNumber: 2;
    --containerWidth: 700px;
    --bgColor: #333;
    --inputBorderColor: lightgray;
}

button > * {
    pointer-events: none;
}

legend{
    font-size: 16px;
    font-weight: 500;
    color: #909090;
    margin-bottom: 12px;
    padding-bottom: 8px;
    border-bottom: 1px solid rgba(0,0,0,.1);
    width: 100%;
}

.d-flex{
    display: flex!important;
}

.d-block{
    display: block!important;
}

.d-none{
    display: none!important;
}

.align-center{
    align-items: center;
    justify-content: center;
}

.text-center{
    text-align: center;
}

.content-bg {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1042;
    overflow: hidden;
    position: fixed;
    background: #0b0b0b;
    opacity: 0.8;
}

.content-wrap {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1043;
    position: fixed;
    outline: none !important;
    -webkit-backface-visibility: hidden;
}

.content-wrap .div-container {
    padding-left: 10px;
    padding-right: 10px;
}

.div-container {
    text-align: center;
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    padding: 0 8px;
    box-sizing: border-box;
}

.div-container .form-outer form {
    display: flex;
    width: calc(100% * var(--stepNumber));
}

.div-container:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.content-wrap .div-content {
    width: 100%;
    background: #FFFFFF;
    max-width: 830px;
    margin-top: 40px;
    -webkit-transition: all .3s;
    transition: all .3s;
}

.div-content {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin: 0 auto;
    text-align: left;
    z-index: 1045;
    /* padding: 10px 35px 32px 35px; */
}

.div-container .form-outer {
    /* width: var(--containerWidth); */
    overflow: hidden;
}

.overflow-hidden{
    overflow: hidden auto;
}

.modal-no-display{
    display:none;
}

.modal-display{
    display:block;
}

form.custom-form .form-row-wide:after, form.custom-form .form-row-wide:before{
    content: " ";
    display: table;
}

form.custom-form .hidden{
    display: none;
}

form.custom-form .form-row label{
    font-size: 14px;
    font-weight: 600;
    line-height: 24px;
    display: block;
    line-height: 1.7;
    margin: 0 0 5px;
    position: relative;
}

form.custom-form .error, form.custom-form .required-indicator{
    color: #a00;
}

form.custom-form .form-row-first, form.custom-form .form-row-last, form[id*=custom-form] .form-row-first, form[id*=custom-form] .form-row-last {
    float: left;
    width: 48.5%;
}

form[id*=custom-form] .form-row input[type=text], form[id*=custom-form] .form-row input[type=tel], form[id*=custom-form] .form-row input[type=email], form[id*=custom-form] .form-row input[type=url], form[id*=custom-form] .form-row input[type=password], form[id*=custom-form] .form-row select, form[id*=custom-form] .form-row textarea, div[id*=custom-form] .form-row input[type=text] {
    font-size: 16px;
    line-height: 24px;
    padding: 16px 20px;
    border-color: rgba(0, 0, 0, 0.1);
    border-radius: 2px;
}

form.custom-form .form-row .input-field-wrapper, form.custom-form .form-row input[type=email], form.custom-form .form-row input[type=password], form.custom-form .form-row input[type=tel], form.custom-form .form-row input[type=text], form.custom-form .form-row input[type=url], form.custom-form .form-row select, form.custom-form .form-row textarea, form[id*=custom-form] .form-row .input-field-wrapper, form[id*=custom-form] .form-row input[type=email], form[id*=custom-form] .form-row input[type=password], form[id*=custom-form] .form-row input[type=tel], form[id*=custom-form] .form-row input[type=text], form[id*=custom-form] .form-row input[type=url], form[id*=custom-form] .form-row select, form[id*=custom-form] .form-row textarea {
    background-color: #fdfdfd;
    border: 1px solid #ccc;
    border-radius: 0;
    box-sizing: border-box;
    color: #333;
    margin: 0;
    outline: none;
    padding: 0.5em;
    width: 100%;
}

form.custom-form .form-row {
    box-sizing: border-box;
    margin: 0 0 15px;
    overflow: visible;
    padding: 0;
}

div.div-content fieldset ol, div.div-content fieldset p, div.div-content fieldset ul {
    line-height: 1.4;
    margin-bottom: 1.2em;
}

.legend-top-payment{
    margin-bottom: 24px;
}

form.custom-form .form-row-last{
    float: right;
}

form.custom-form .form-row-first, form.custom-form .form-row-last, form[id*=custom-form] .form-row-first, form[id*=custom-form] .form-row-last {
    float: left;
    width: 48.5%;
}

form.custom-form .form-row:last-child{
    margin-bottom: 15px;
}

form.custom-form .form-row-wide {
    clear: both;
}

form.custom-form .form-row{
    box-sizing: border-box;
    margin: 0 0 15px;
    overflow: visible;
    padding: 0;
}

form[id*=custom-form] .submit-button-wrap{
    position: relative;
}

form[id*=custom-form] .submit-button-wrap .action-button{
    margin-top: 16px;
    margin-left: 6px;
    margin-right: 6px;
}

form[id*=custom-form] > .btn-custom, form[id*=custom-form] .action-button{
    width: 100%;
    font-size: 14px;
    font-weight: 700;
    line-height: 45px;
    text-transform: uppercase;
    color: #ffffff;
    background-color: #D57B2E !important;
    margin-top: 15px;
    padding: 0 16px;
    outline: none;
    border: none;
    border-radius: 10px;
}

.submit-button-wrap .action-button {
    float: left;
}

.content-wrap .div-content form.custom-form > *:last-child {
    margin-bottom: 0;
}

.content-wrap .div-content .close-custom {
    top: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    line-height: 40px;
    color: #ffffff;
    background-color: #000000;
    outline: none;
    opacity: 1;
    border-radius: 2px;
    position: absolute;
}

form.custom-form .form-row-first, form.custom-form .form-row-title, form[id*=custom-form] .form-row-first, form[id*=custom-form] .form-row-title {
    margin-right: 2.5%;
}

.form-outer form .page {
    width: calc(100% / var(--stepNumber));
    transition: margin-left 0.3s ease-in-out;
    padding: 10px 35px 32px 35px;
}

form .page fieldset input.invalid-input {
    border-color: var(--errorColor)!important;
}

fieldset.buttons-group {
    flex-wrap: nowrap;
    gap: 12px;
}

form .page .btns button {
    margin-top: -20px !important;
}

form .page .btns button.prev {
    margin-right: 3px;
    font-size: 17px;
}

form .page .btns button.next {
    margin-left: 3px;
}

#sugerencia{
    display: block;
    font-weight: 500;
}

div#card_number, div#card_expiry, div#card_cvc {
    border: 2px solid #eEe;
    padding: 10PX;
}

div#card_number{
    width: 100%;
}

.resume-cuota {
    padding: 10px 35px 32px 35px;
}

.resume-cuota table tr {
    border-bottom: 0.647611px solid #dbdbdb;
}

.resume-cuota.align-center.d-flex table tr td:nth-child(2) {
    font-size: 14px;
}

.resume-cuota.align-center.d-flex table tr td {
    padding: 6px 2px;
}

.modal-overlay-loader {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #ffffff85;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
}

.lds-ring {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
  }
  .lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 64px;
    height: 64px;
    margin: 8px;
    border: 8px solid #fff;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #b5b5b5 transparent transparent transparent;
  }
  .lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
  }
  .lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
  }
  .lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
  }
  @keyframes lds-ring {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }

@media screen and (max-width: 660px) {
    :root {
        --containerWidth: 400px;
    }
}

@media screen and (max-width: 490px) {
    :root {
        --containerWidth: 100%;
    }

    .div-container {

        height: auto;
    }
}

@media (max-width: 767.98px){

    form.custom-form .form-row-first, form.custom-form .form-row-last, form[id*=custom-form] .form-row-first, form[id*=custom-form] .form-row-last{
        width:100%!important;	
    }

    form[id*=custom-form] input[type=text]{
        margin-bottom: 0px!important;
        width: 100%;
    }

    .div-container {

        height: auto;
    }

}

@media (min-width: 480px){ /*Se muestra en desktop*/

    form[id*=custom-form] input[type=text]{
        margin-bottom: 0px!important;
        width: 100%;
    }
    
    form[id*=custom-form] .action-button{
        line-height: 58px;
    }

    .resume-cuota table{
        max-width: 400px!important;
        margin-top: 24px;
    }

    .resume-cuota.align-center.d-flex table tr td:nth-child(2) {
        text-align: right;
    }

    .card-wrapper{
        width: 536px;
    }

    img#badge-pasarela {
        width: 270px;
    }

    fieldset#checkout_payment_info {
        justify-content: center;
        align-items: center;
        display: flex;
    }

    #sugerencia{
    font-size: 13px;
    display: inline;
}

}